// Configuration settings for the application
// This centralizes all environment-related configuration

// API URL with proper path handling
export const API_URL = (() => {
  const url = import.meta.env.VITE_API_URL || 'http://localhost:8080';
  // Add /api/v1 if not already included in the URL
  if (!url.endsWith('/api/v1')) {
    return `${url}/api/v1`;
  }
  return url;
})();

// Other configuration settings can be added here