/**
 * Component data model matching API documentation
 */
export interface Component {
  id: number;
  user_id?: number;
  name: string;
  description?: string;
  type: ComponentType;
  status: ComponentStatus;
  config: string;
  repository: string;
  branch?: string;
  current_image_tag?: string;
  current_image_uri?: string;
  error_msg?: string;
  created_at: string;
  updated_at: string;
}

export type ComponentType =
  | 'frontend'
  | 'backend'
  | 'api'
  | 'database'
  | 'microservice';

export type ComponentStatus =
  | 'validating'
  | 'valid'
  | 'invalid'
  | 'building'
  | 'ready'
  | 'failed'
  | 'in_progress'; // Additional status returned by API

export interface ComponentFormData {
  name: string;
  description?: string;
  type: ComponentType;
  config?: string;
  repository: string;
  branch?: string;
  user_id?: number;
}
