/**
 * Preview data model matching API response
 */
export interface Preview {
  id: number;
  app_id: number;
  status: PreviewStatus;
  url?: string;
  created_at: string;
  updated_at: string;
  expires_at: string;
  error_message?: string;
}

export type PreviewStatus = 
  | 'building'
  | 'deploying'
  | 'running'
  | 'failed'
  | 'stopped';

export interface PreviewLogEntry {
  timestamp: string;
  level: 'info' | 'error' | 'warning' | 'debug';
  message: string;
  component?: string;
}
